| Version: 3.2.5

Classes | Macros | Functions | Variables
dirdlg.h File Reference

## Classes

class | wxDirDialog
| This class represents the directory chooser dialog. More...

## Macros

#define | wxDD_CHANGE_DIR 0x0100
#define | wxDD_DIR_MUST_EXIST 0x0200
#define | wxDD_MULTIPLE 0x0400
#define | wxDD_SHOW_HIDDEN 0x0001
#define | wxDD_NEW_DIR_BUTTON 0
#define | wxDD_DEFAULT_STYLE (wxDEFAULT_DIALOG_STYLE|wxRESIZE_BORDER)

## Functions

wxString | wxDirSelector (const wxString &message=wxDirSelectorPromptStr, const wxString &default_path=wxEmptyString, long style=0, const wxPoint &pos=wxDefaultPosition, wxWindow *parent=NULL)
| Pops up a directory selector dialog. More...

## Variables

const char | wxDirDialogDefaultFolderStr [] = "/"
| Initial folder for generic directory dialog. More...
const char | wxDirSelectorPromptStr [] = "Select a directory"
| Default message for directory selector dialog. More...
const char | wxDirDialogNameStr [] = "wxDirCtrl"
| Default name for directory selector dialog. More...

## Macro Definition Documentation

## ◆ wxDD_CHANGE_DIR

#define wxDD_CHANGE_DIR 0x0100

## ◆ wxDD_DEFAULT_STYLE

#define wxDD_DEFAULT_STYLE (wxDEFAULT_DIALOG_STYLE|wxRESIZE_BORDER)

## ◆ wxDD_DIR_MUST_EXIST

#define wxDD_DIR_MUST_EXIST 0x0200

## ◆ wxDD_MULTIPLE

#define wxDD_MULTIPLE 0x0400

## ◆ wxDD_NEW_DIR_BUTTON

#define wxDD_NEW_DIR_BUTTON 0

## ◆ wxDD_SHOW_HIDDEN

#define wxDD_SHOW_HIDDEN 0x0001

## Variable Documentation

## ◆ wxDirDialogDefaultFolderStr

const char wxDirDialogDefaultFolderStr[] = "/"

Initial folder for generic directory dialog.

## ◆ wxDirDialogNameStr

const char wxDirDialogNameStr[] = "wxDirCtrl"

Default name for directory selector dialog.

## ◆ wxDirSelectorPromptStr

const char wxDirSelectorPromptStr[] = "Select a directory"

Default message for directory selector dialog.